Summary:        Scan disk for bad or near failure sectors
Name:           diskscan
Version:        0.13
Release:        %mkrel 1
License:        GPLv3
Group:          System/Configuration/Hardware
URL:            http://blog.disksurvey.org/proj/diskscan/
Source0:        https://github.com/baruch/diskscan/archive/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  make python-beautifulsoup python-markdown

%description
DiskScan is a Unix/Linux tool to scan a block device and check
if there are unreadable sectors, in addition it uses read
latency times as an assessment for a near failure as sectors
that are problematic to read usually entail many retries. This
can be used to assess the state of the disk and maybe decide
on a replacement in advance to its imminent failure. The disk
self test may or may not pick up on such clues depending on
the disk vendor decision making logic.


%prep
%setup -q 


%build
%make 


%install
rm -rf %{buildroot}
%make V=1 install DESTDIR=%{buildroot}

rm -f %{buildroot}/%{_datadir}/doc/%{name}/README.md

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc COPYING README*
%{_bindir}/%{name}
%{_mandir}/man*/%{name}.1.*

%changelog
* Thu Dec 19 2013 Ken <lxgator at gmail.com> 0.13-1pclos2013
- import diskscan
